## rb-playlist-manager

rb-playlist-manager —

## Synopsis

    enum        RBPlaylistManagerError;
    #define     RB_PLAYLIST_MANAGER_ERROR
    GQuark      rb_playlist_manager_error_quark (void);
    typedef     RBPlaylistManagerPrivate;
    RBPlaylistManager* rb_playlist_manager_new  (RBShell *shell,
                                                 RBSourceList *sourcelist,
                                                 RBLibrarySource *libsource,
                                                 RBIRadioSource *iradio_source);
    gboolean    rb_playlist_manager_parse_file  (RBPlaylistManager *mgr,
                                                 const char *uri,
                                                 GError **error);
    void        rb_playlist_manager_set_source  (RBPlaylistManager *mgr,
                                                 RBSource *player);
    void        rb_playlist_manager_load_legacy_playlists
                                                (RBPlaylistManager *mgr);
    void        rb_playlist_manager_load_playlists
                                                (RBPlaylistManager *mgr);
    void        rb_playlist_manager_save_playlists
                                                (RBPlaylistManager *mgr,
                                                 gboolean force);
    RBSource*   rb_playlist_manager_new_playlist
                                                (RBPlaylistManager *mgr,
                                                 const char *suggested_name,
                                                 gboolean automatic);
    GList*      rb_playlist_manager_get_playlists
                                                (RBPlaylistManager *manager);

## Description

## Details

### enum RBPlaylistManagerError

    typedef enum
    {
    	RB_PLAYLIST_MANAGER_ERROR_PARSE
    } RBPlaylistManagerError;

### RB_PLAYLIST_MANAGER_ERROR

    #define RB_PLAYLIST_MANAGER_ERROR rb_playlist_manager_error_quark ()

### rb_playlist_manager_error_quark ()

    GQuark      rb_playlist_manager_error_quark (void);

Returns : |

### RBPlaylistManagerPrivate

    typedef struct RBPlaylistManagerPrivate RBPlaylistManagerPrivate;

### rb_playlist_manager_new ()

    RBPlaylistManager* rb_playlist_manager_new  (RBShell *shell,
                                                 RBSourceList *sourcelist,
                                                 RBLibrarySource *libsource,
                                                 RBIRadioSource *iradio_source);

`shell` : |
`sourcelist` : |
`libsource` : |
`iradio_source` : |
Returns : |

### rb_playlist_manager_parse_file ()

    gboolean    rb_playlist_manager_parse_file  (RBPlaylistManager *mgr,
                                                 const char *uri,
                                                 GError **error);

`mgr` : |
`uri` : |
`error` : |
Returns : |

### rb_playlist_manager_set_source ()

    void        rb_playlist_manager_set_source  (RBPlaylistManager *mgr,
                                                 RBSource *player);

`mgr` : |
`player` : |

### rb_playlist_manager_load_legacy_playlists ()

    void        rb_playlist_manager_load_legacy_playlists
                                                (RBPlaylistManager *mgr);

`mgr` : |

### rb_playlist_manager_load_playlists ()

    void        rb_playlist_manager_load_playlists
                                                (RBPlaylistManager *mgr);

`mgr` : |

### rb_playlist_manager_save_playlists ()

    void        rb_playlist_manager_save_playlists
                                                (RBPlaylistManager *mgr,
                                                 gboolean force);

`mgr` : |
`force` : |

### rb_playlist_manager_new_playlist ()

    RBSource*   rb_playlist_manager_new_playlist
                                                (RBPlaylistManager *mgr,
                                                 const char *suggested_name,
                                                 gboolean automatic);

`mgr` : |
`suggested_name` : |
`automatic` : |
Returns : |

### rb_playlist_manager_get_playlists ()

    GList*      rb_playlist_manager_get_playlists
                                                (RBPlaylistManager *manager);

`manager` : |
Returns : |